package tab

import androidx.compose.foundation.layout.fillMaxSize
import androidx.compose.runtime.*
import androidx.compose.ui.Modifier
import cafe.adriel.voyager.core.screen.Screen
import com.mikepenz.aboutlibraries.ui.compose.m3.LibrariesContainer
import org.jetbrains.compose.resources.ExperimentalResourceApi
import veganenumbers.composeapp.generated.resources.Res.readBytes


object Licenses : Screen {

    @OptIn(ExperimentalResourceApi::class)
    private suspend fun loadLicenses(): String {
        val bytes = readBytes("files/aboutlibraries.json")
        val json = bytes.decodeToString()

        return json
    }

    @OptIn(ExperimentalResourceApi::class)
    @Composable
    override fun Content() {
        var licenses by remember{ mutableStateOf("") }

        LaunchedEffect(currentCompositeKeyHash) {
            licenses = loadLicenses()
        }

        LibrariesContainer(
            licenses,
            Modifier.fillMaxSize()
        )
    }
}
